;;; init-theme.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
(use-package sublime-themes
  :config
  (load-theme 'spolsky t))

;; Fix linum current-line highlight. Doesn't looks good with this theme
(defface my-linum-hl
  '((t :background "gray30" :foreground "gold"))
  "Face for the currently active Line number"
  :group 'linum)

(provide 'init-theme)

;;; init-theme.el ends here
