;;; init-web-mode.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
(use-package web-mode
  :mode (("\\.html?\\'"  . web-mode)
         ("\\.djhtml\\'" . web-mode)
         ("\\.tpl\\'"    . web-mode)
         ("\\.jsp\\'"    . web-mode)
         ("\\.gsp\\'"    . web-mode)
         ("\\.scss\\'"   . web-mode)
         ("\\.ctp\\'"    . web-mode))
  :config
  ;; web-modeの設定
  (setq web-mode-enable-current-element-highlight t)
  (set-face-background 'web-mode-current-element-highlight-face "#a3a3a3")
  )

(provide 'init-web-mode)
;;; init-web-mode.el ends here
